public static interface SftpEndpointBuilderFactory.SftpBuilders
| Modifier and Type | Method and Description |
|---|---|
default SftpEndpointBuilderFactory.SftpEndpointBuilder |
sftp(String path)
SFTP (camel-ftp)
Upload and download files to/from SFTP servers.
|
default SftpEndpointBuilderFactory.SftpEndpointBuilder |
sftp(String componentName,
String path)
SFTP (camel-ftp)
Upload and download files to/from SFTP servers.
|
default SftpEndpointBuilderFactory.SftpEndpointBuilder sftp(String path)
sftp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorypath - host:port/directoryNamedefault SftpEndpointBuilderFactory.SftpEndpointBuilder sftp(String componentName, String path)
sftp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/directoryNameApache Camel